Author Topic: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht  (Read 221 times)

Offline astricia

  • Posts: 662
  • Gender: Female
    • netSchmiede24
Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« on: March 12, 2019, 11:21:19 AM »
Hiiiiiilfe (mal wieder...).

Versuche gerade eine Installation von 2.8.3 sp7 auf 2.12.1 upzugraden.

Habe:
- Datenbank gesichert
- Dateien gesichert
- 2.12.1 hochgespielt

Nun gehe ich auf das Backend und bekomme die folgende Fehlermeldung:
Warning: mkdir(): Permission denied in /www/htdocs/domain-name/framework/Exceptions/ErrorHandler.php on line 67

Was nu????????? Lässt sich nicht starten....

Hiiiiiiilfe!

LG,
Astrid

Offline jacobi22

  • Posts: 5843
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #1 on: March 12, 2019, 11:33:40 AM »
offenbar ein Permission-Problem - ich schätze mal, du bist nicht Owner mit dem Verwendetem FTP-Zugang

erstellt werden sollen die Ordner var/logs, temp, media und pages (sofern nicht vorhanden) - ich schätze mal, dir fehlt der Ordner var/logs - leg mal von Hand an

erfahrungsgemäß zieht es aber meist weitere Probleme mit sich, Anlegen von Seiten, Erstellen von Ordner unter media, Module-Install, das alles mal probieren

P.S.: man fängt nie mit HILFE an  ;-)
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline astricia

  • Posts: 662
  • Gender: Female
    • netSchmiede24
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #2 on: March 12, 2019, 11:41:41 AM »
Habs gefunden - musste das Verzeichnis framework/Exceptions von 755 auf 777 setzen. Und ja, dann gab es bei der Installation noch eine Menge Rechte-Fehler... Dateien, die ich über FTP löschen musste - beim nächsten Versuch dann auch noch ganze Ordner, die per FTP gelöscht werden mussten. Der dritte Installationsversuc h ging dann durch - und es scheint jetzt auf den ersten Blick alles OK, sogar keine Umlaut-Probleme.. Hab die PHP-Version jetzt auf 7.2 hochgesetzt.

Wenn ich die Fehlerberichte (Production) einschalte und einmal durchklicke, kriege ich allerdings einige Fehler aus dem verwendeten Members-Modul.
Code: [Select]
Tue, 12 Mar 2019 10:38:12 +0000 [E_USER_DEPRECATED] /framework/class.frontend.php:[335] from /modules/members/view.php:[132] frontend->preprocess "invalid method call: frontend::preprocess"
Tue, 12 Mar 2019 10:38:12 +0000 [E_NOTICE] /modules/members/view.php:[364] from /templates/.../index.php:[143] page_content "Undefined variable: reversesorting"
Tue, 12 Mar 2019 10:38:13 +0000 [E_NOTICE] /modules/members/view.php:[375] from /templates/.../index.php:[143] page_content "Undefined variable: listgroup_links"

Sagt dir das was?

Offline astricia

  • Posts: 662
  • Gender: Female
    • netSchmiede24
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #3 on: March 12, 2019, 11:56:45 AM »
Ähhh.... jetzt scheint Members im Backend irgendwie gar nicht mehr zu funktionieren..... (bin mir sicher, dass es erst noch ging???)

Dort steht jetzt:
Code: [Select]
There was an uncatched exception
Call to undefined function mysql_error()
in line (107) of (/modules/members/modify.php):

Hmmm. Ich hatte schon mal ein Upgrade einer Installation, die Members verwendete. Und die läuft. Auch aktuell, habe ich gerade gecheckt.

Was nu....? Es gibt ganz viele Members-Bereiche bei dieser Installation... muss ich die jetzt alle durch OFA ersetzen? Oder habt ihr nen Tipp?

Offline jacobi22

  • Posts: 5843
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #4 on: March 12, 2019, 12:01:02 PM »
Probier mal die Version im Anhang - ich bin erstmal zum Doc - das dauert wieder
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline astricia

  • Posts: 662
  • Gender: Female
    • netSchmiede24
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #5 on: March 12, 2019, 12:05:54 PM »
Danke - ich hab jetzt erst mal in der entsprechenden Zeile das mysql_error zu mysqli_error geändert. Damit sieht wieder alles ganz normal aus. Ist allerdings noch die Members-Version 0.8.3 - sollte ich das besser zu 0.8.9 upgraden, meinst du?

LG,
Astrid

Offline jacobi22

  • Posts: 5843
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #6 on: March 12, 2019, 12:12:20 PM »
Ironie an - Nein, mußt nicht upgraden  ;-)

es sind diverse Änderungen, kannst ja auch vergleichen und deine Version anpassen
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline dbs

  • Betatester
  • **
  • Posts: 7977
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #7 on: March 12, 2019, 01:18:54 PM »
Quote
Habs gefunden - musste das Verzeichnis framework/Exceptions von 755 auf 777
Niemals musst du irgendwas auf 777 setzen. Puibaba.
Wenn Ordner/Dateirechte nicht stimmen würde ich erstmal versuchen alles geradezubiegen, mit fix-permissions:
https://forum.WebsiteBaker.org/index.php/topic,19267.0.html

Offline jacobi22

  • Posts: 5843
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Hilfe - Upgrade 2.8.3 zu 2.12.1 klappt nicht
« Reply #8 on: March 12, 2019, 04:04:23 PM »
nur informatorisch - die Version 0.8.8, die all dieses mysql-Kram repariert, gibt es seit einem Jahr im Addons-Bereich -> https://addon.WebsiteBaker.org/pages/en/browse-add-ons.php?id=0A4EDCC
Die Vers. 0.8.9 entfernt dann noch script type und style type, den es in HTML5 nicht mehr braucht
Wer nicht will, findet Gründe, wer will, findet Wege.

 

postern-length